Omeka Classic 3.1 release

We have a new version of Omeka Classic now available, version 3.1. As usual, you can download it from the website.

This version brings long-awaited support for PHP 8.1, and 8.2 as well. To keep updates to the latest PHP versions feasible, the minimum required version of PHP is slightly increased to 5.6. For the same reasons, this version also removes several Zend Framework components that were not used by Omeka Classic, as well as code for connecting to now-defunct online services and APIs.

On the theme end of things, the library lightGallery that’s used by several themes is now integrated in the Omeka Classic core, so themes can add support for interactive gallery views without needing to write their own code for them. We’ve also made a number of improvements to accessibility on both the admin and public themes.

Most plugins and themes do not require updates to work with version 3.1, though we do have a few that have updates to fix small issues of their own with the newest PHP versions.

There are bugfixes and features beyond those I’ve mentioned here, of course. For full information about what’s included in the release, see the release notes.

2 Likes